Package com.pixelmed.ftp

## Class FTPApplicationProperties

- java.lang.Object
- - com.pixelmed.ftp.FTPApplicationProperties

-     public class FTPApplicationProperties
      extends java.lang.Object

  This class provides common support to applications requiring properties related to FTP network services.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `clientDebugLevel` |
    `protected FTPRemoteHostInformation` | `ftpRemoteHostInformation` |
    `static java.lang.String` | `propertyName_ClientDebugLevel` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FTPApplicationProperties()` | Create default properties.
    `FTPApplicationProperties​(java.util.Properties properties)` | Extract the ftp properties from the supplied properties.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getClientDebugLevel()` | Return the client debug level.
    `FTPRemoteHostInformation` | `getFTPRemoteHostInformation()` | Return the network application information.
    `java.util.Properties` | `getProperties​(java.util.Properties properties)` | Retrieve the ftp properties.
    `static void` | `main​(java.lang.String[] arg)` | Test the parsing of network properties from the specified file, by reading them and printing them.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### propertyName_ClientDebugLevel

          public static final java.lang.String propertyName_ClientDebugLevel

      See Also:
        Constant Field Values

    - #### clientDebugLevel

          protected int clientDebugLevel

    - #### ftpRemoteHostInformation

          protected FTPRemoteHostInformation ftpRemoteHostInformation

  - ### Constructor Detail

    - #### FTPApplicationProperties

          public FTPApplicationProperties()
                                   throws FTPException

      Create default properties.

      Throws:
        `FTPException`

    - #### FTPApplicationProperties

          public FTPApplicationProperties​(java.util.Properties properties)
                                   throws FTPException

      Extract the ftp properties from the supplied properties.

      Parameters:
        `properties` -
      Throws:
        `FTPException`

  - ### Method Detail

    - #### getProperties

          public java.util.Properties getProperties​(java.util.Properties properties)

      Retrieve the ftp properties.

      param properties the existing properties to add to (replacing corresponding properties already there), or null if none
      Returns:
        the updated properties or a new set of properties if none supplied

    - #### getClientDebugLevel

          public int getClientDebugLevel()

      Return the client debug level.

      Returns:
        the client debug level

    - #### getFTPRemoteHostInformation

          public FTPRemoteHostInformation getFTPRemoteHostInformation()

      Return the network application information.

      Returns:
        the network application information

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main​(java.lang.String[] arg)

      Test the parsing of network properties from the specified file, by reading them and printing them.

      Parameters:
        `arg` - one argument, a single file name that is the properties file